Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153749 - .amandahosts made more explicit
Summary: .amandahosts made more explicit
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: amanda
Version: 4.0
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Daniel Novotny
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-05 16:14 UTC by David Tonhofer
Modified: 2015-01-08 00:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-18 15:35:15 UTC


Attachments (Terms of Use)

Description David Tonhofer 2005-04-05 16:14:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.1) Gecko/20040707

Description of problem:
While I'm on the subject of amanda (i.e. still trying to get it to work
properly :-P) I though a long look at the .amandahosts file and found the
default to be a bit weirdish:

/var/lib/amanda/.amandahosts says

---------------
localhost             amanda
localhost.localdomain amanda
---------------

which IMHO is never useful except if your machine is named localhost.localdomain
and you use localhosz in you disklist which you should not.

So let's give the user a hint by adding some comments. The text below seems
appropriate for a 'patched' amandahosts file . Please feel free to include it
in the distribution:


# Allow access to amanda over the network. See 'man amanda'

# 'ambackup' connects to 'amandad'. If your 'disklist' is correctly
# set up, i.e. if it does not use 'localhost' but the fully qualified
# domain name (FQDN) of the target machine (see this URL for more:
# http://www.amanda.org/docs/topten.html#id2519209), then you must put
# the FQDN here. 'ambackup' must be run by user 'amanda', so we allow
# access by user 'amanda'. Do not forget to add an 'only_from' line to
# '/etc/xinet.d/amanda' to allow access to 'amandad' only from known
# IP addresses.

# replace mymachine.mydomain by the correct value and uncomment
# mymachine.mydomain amanda


# 'amrecover' connects to 'amandaidx', which uses the fully qualified
# domain name when access is done from another machine. 'amrecover'
# must be run by user 'root', so we allow access by user 'root'.  Do
# not forget to add an 'only_from' line to '/etc/xinet.d/amandaidx' to
# allow access to 'amandaidx' only from known IP addresses.

# replace mymachine.mydomain by the correct value and uncomment
# mymachine.mydomain.tld root


# 'amrecover' connects to 'amandaidx', which uses the bare machine
# name w/o domain name when access is done from the same machine.
# 'amrecover' must be run by user 'root', so we allow access by user
# 'root'. Do not forget to add an 'only_from' line to
# '/etc/xinet.d/amandaidx' to allow access to 'amandaidx' only from
# known IP addresses, in this case 127.0.0.1.

# replace mymachine by the correct value and uncomment
# mymachine root


Version-Release number of selected component (if applicable):
amanda-2.4.4p3-1

How reproducible:
Always

Steps to Reproduce:
n/a
  

Actual Results:  n/a

Expected Results:  n/a

Additional info:

n/a

Comment 2 Radek Brich 2007-11-26 11:42:38 UTC
Slightly adjusted version of your .amandahosts is now included in Fedora
(amanda-2.5.2p1-9.fc9). Thanks.

Comment 3 RHEL Product and Program Management 2008-02-01 19:14:13 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 5 Daniel Novotny 2010-03-18 15:35:15 UTC
4.9 is the last regular update of RHEL4 and it should be minimal. Closing this
bug.


Note You need to log in before you can comment on or make changes to this bug.